> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recommendation by token

> Return a Recommendation.



## OpenAPI

````yaml https://api.vantage.sh/v2/oas_v3.json get /recommendations/{recommendation_token}
openapi: 3.0.1
info:
  title: Vantage
  description: Vantage API
  termsOfService: https://www.vantage.sh/terms-of-use
  contact:
    name: Vantage Support
    url: https://www.vantage.sh
    email: support@vantage.sh
  version: 2.0.0
servers:
  - url: https://api.vantage.sh/v2
security:
  - oauth2:
      - read
tags:
  - name: AccessGrants
    description: Operations about AccessGrants
  - name: AnomalyAlerts
    description: Operations about AnomalyAlerts
  - name: AnomalyNotifications
    description: Operations about AnomalyNotifications
  - name: AuditLogs
    description: Operations about AuditLogs
  - name: BillingProfiles
    description: Operations about BillingProfiles
  - name: BillingRules
    description: Operations about BillingRules
  - name: BudgetAlerts
    description: Operations about BudgetAlerts
  - name: Budgets
    description: Operations about Budgets
  - name: BusinessMetrics
    description: Operations about BusinessMetrics
  - name: Canvases
    description: Operations about Canvases
  - name: CostAlertEvents
    description: Operations about CostAlertEvents
  - name: CostAlerts
    description: Operations about CostAlerts
  - name: CostProvider
    description: Operations about CostProviders
  - name: CostProviderAccounts
    description: Operations about CostProviderAccounts
  - name: Costs
    description: Operations about Costs
  - name: CostService
    description: Operations about CostServices
  - name: Dashboards
    description: Operations about Dashboards
  - name: DataExports
    description: Operations about DataExports
  - name: ExchangeRates
    description: Operations about ExchangeRates
  - name: FinancialCommitmentReports
    description: Operations about FinancialCommitmentReports
  - name: FinancialCommitments
    description: Operations about FinancialCommitments
  - name: Folders
    description: Operations about Folders
  - name: Integrations
    description: Operations about Integrations
  - name: Invoices
    description: Operations about Invoices
  - name: KubernetesEfficiencyReports
    description: Operations about KubernetesEfficiencyReports
  - name: ManagedAccounts
    description: Operations about ManagedAccounts
  - name: Me
    description: Operations about Mes
  - name: NetworkFlowReports
    description: Operations about NetworkFlowReports
  - name: OpenAPISpecification
    description: Operations about OpenAPISpecifications
  - name: Ping
    description: Operations about Pings
  - name: Prices
    description: Operations about Prices
  - name: Recommendations
    description: Operations about Recommendations
  - name: RecommendationViews
    description: Operations about RecommendationViews
  - name: ReportNotifications
    description: Operations about ReportNotifications
  - name: ResourceReports
    description: Operations about ResourceReports
  - name: Resources
    description: Operations about Resources
  - name: SavedFilters
    description: Operations about SavedFilters
  - name: Segments
    description: Operations about Segments
  - name: Tags
    description: Operations about Tags
  - name: Teams
    description: Operations about Teams
  - name: UnitCosts
    description: Operations about UnitCosts
  - name: UserFeedback
    description: Operations about UserFeedbacks
  - name: Users
    description: Operations about Users
  - name: VirtualTags
    description: Operations about VirtualTags
  - name: Workspaces
    description: Operations about Workspaces
paths:
  /recommendations/{recommendation_token}:
    get:
      tags:
        - Recommendations
      summary: Get recommendation by token
      description: Return a Recommendation.
      operationId: getRecommendation
      parameters:
        - name: recommendation_token
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Recommendation'
              example:
                token: rcmmndtn_0eea161ff1a4d183
                type: null
                category: ip_unattached
                workspace_token: wrkspc_634a8ca67ed39555
                provider: aws
                provider_account_id: '123456789012'
                description: IP address is not attached to an instance.
                documentation_url: >-
                  https://handbook.vantage.sh/aws/services/ec2-other-pricing/#stranded-resources
                potential_savings: '100.0'
                service: AWS IP
                created_at: '2026-01-28T16:53:23Z'
                resources_affected_count: 0
                currency_code: USD
                currency_symbol: $
        '404':
          description: NotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
      security:
        - oauth2:
            - read
components:
  schemas:
    Recommendation:
      required:
        - category
        - created_at
        - description
        - documentation_url
        - potential_savings
        - provider
        - provider_account_id
        - resources_affected_count
        - service
        - token
        - type
        - workspace_token
      type: object
      properties:
        token:
          type: string
          nullable: false
        type:
          type: string
          description: >-
            The type of the Recommendation. This is analogous to category, but
            with a uniform format.
          nullable: false
          example: aws:ec2:co-rightsizing
        category:
          type: string
          description: The category of the Recommendation.
          nullable: false
          example: ec2_compute_optimizer_recommender
        workspace_token:
          type: string
          description: The token for the Workspace the Recommendation is a part of.
          nullable: false
        provider:
          type: string
          description: The provider the Recommendation is for.
          nullable: false
        provider_account_id:
          type: string
          description: >-
            The account ID of the provider. For Azure, this is the subscription
            ID.
          nullable: true
        description:
          type: string
          nullable: false
        documentation_url:
          type: string
          description: A URL to related documentation if available.
          nullable: true
          example: >-
            https://handbook.vantage.sh/aws/services/s3-pricing/#intelligent-tiering
        potential_savings:
          type: string
          description: >-
            The monthly potential savings of the Recommendation, converted to
            the organization's selected currency.
          nullable: true
          example: '100.00'
        service:
          type: string
          description: The service the Recommendation is for.
          nullable: false
          example: Amazon EC2
        created_at:
          type: string
          description: >-
            The date and time, in UTC, the Recommendation was created. ISO 8601
            Formatted.
          nullable: false
        resources_affected_count:
          type: integer
          description: >-
            The number of ProviderResources related to the Recommendation. Use
            the `recommendations/:token/resources` endpoint to get the full list
            of resources.
          format: int32
          nullable: false
        currency_code:
          type: string
          description: >-
            The currency code used by the Workspace to which this Recommendation
            belongs.
          nullable: true
          example: EUR
        currency_symbol:
          type: string
          description: >-
            The currency symbol used by the Workspace to which this
            Recommendation belongs.
          nullable: true
          example: EUR
      description: Recommendation model
    Errors:
      required:
        - errors
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        errors:
          type: array
          nullable: false
          items:
            type: string
      description: Errors model
    Links:
      type: object
      properties:
        self:
          type: string
          description: The URL of the current page of results.
          nullable: true
        first:
          type: string
          description: The URL of the first page of results.
          nullable: true
        next:
          type: string
          description: The URL of the next page of results, if one exists.
          nullable: true
        last:
          type: string
          description: The URL of the last page of results, if one exists.
          nullable: true
        prev:
          type: string
          description: The URL of the previous page of results, if one exists.
          nullable: true
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://console.vantage.sh/account/profile
          scopes:
            read: Grants read access
            write: Grants write access

````